
import os
import re
import math

import antelope.orb as orb
import antelope.Pkt as Pkt
import antelope.elog as elog
import antelope.stock as stock
import antelope.coords as coords
import antelope.datascope as datascope

from twisted.web import http

class DemoWeb(object):

    stdct    = None

    centerimage_width       = property( lambda s: DemoWeb.stdct['siteconfig']['centerimage_width'] )
    refresh_sec             = property( lambda s: int( DemoWeb.stdct['siteconfig']['refresh_sec'] ) )

    def __init__( self, pfdict ):

        if DemoWeb.stdct == None:

	    DemoWeb.stdct = pfdict

    def write_htmlhead( self, request, title, refresh=True ):

	request.write( DemoWeb.stdct['phrases']['htmlhead_open'] )

	if refresh and self.refresh_sec != 0:
	    request.write( '<meta http-equiv="refresh" content="%d">' % self.refresh_sec )

        request.write( "<title>%s</title>" % title )

    def write_htmlbodystart( self, request ):

        request.write( "<body>" )

        request.write("""<div id="pagecontainer">""")

	request.write( DemoWeb.stdct['phrases']['header'] )

	request.write("""
		<div id="content">
		""" )

    def write_htmlbodyfinish( self, request, refresh=True ):

	if refresh and self.refresh_sec != 0:

	    request.write( "<h3><-  Page updated %s (refreshes every %d seconds)  -></h3>\n" % 
	                   ( stock.epoch2str( stock.now(), DemoWeb.stdct['siteconfig']['time_format'], "" ), self.refresh_sec ) )

	request.write("</div> <!-- content -->")

	request.write( DemoWeb.stdct['phrases']['footer'] )

	request.write( """
		</div>	<!-- pagecontainer -->
		</body>
		</html>
		""" )

	request.finish()

    def write_mainnav( self, request, activepage=None ):

	request.write( """
    		<div id="nav">
	  	<ul id="main_menu">
		""" )

        if activepage == 'dbevents':
            request.write( """
	  	<li><a class="activepage" href="/">Dbevents</a></li>
		""" )
        else:
            request.write( """
	  	<li><a href="/">Dbevents</a></li>
		""" )

        if activepage == 'webrtd':
            request.write( """
	  	<li><a class="activepage" href="/webrtd">rtd</a></li>
   	    """ )
        else:
            request.write( """
	  	<li><a href="/webrtd">rtd</a></li>
   	    """ )

        if activepage == 'sources':
            request.write( """
	  	<li><a class="activepage" href="/sources">sources</a></li>
   	    """ )
        else:
            request.write( """
	  	<li><a href="/sources">sources</a></li>
   	    """ )

        if activepage == 'clients':
            request.write( """
	  	<li><a class="activepage" href="/clients">clients</a></li>
   	    """ )
        else:
            request.write( """
	  	<li><a href="/clients">clients</a></li>
   	    """ )

        if activepage == 'rtm':
            request.write( """
	  	<li><a class="activepage" href="/rtm">RTM</a></li>
   	    """ )
        else:
            request.write( """
	  	<li><a href="/rtm">RTM</a></li>
   	    """ )

	request.write( """
		</ul>
		</div>
		""" )

    def write_notfound( self, request ):

        request.setResponseCode( http.NOT_FOUND )

        request.write( "Requested page not found" )

        request.finish()

    def write_forbidden( self, request ):

        request.setResponseCode( http.FORBIDDEN )

        request.write( "<h1>Access Forbidden</h1>" )

        request.finish()

