# 
#    Copyright (c) 2012 Boulder Real Time Technologies, Inc.
#    All rights reserved. 
#                                                                     
#    Written by Dr. Kent Lindquist, Boulder Real Time Technologies, Inc. 

#    This software module is wholly owned by Boulder Real Time Technologies,
#    Inc. Any use of this software module without express 
#    written permission from Boulder Real Time Technologies, Inc. is 
#    prohibited.

from twisted.web.resource import Resource
from twisted.web import server

import rtwebserver.config as config

import demoweb

class MyResource(Resource):

    def __init__(self):

        Resource.__init__(self)

        self.dw = demoweb.DemoWeb( config.sitedict )

    def render_GET(self, request):

        if request.rstrict != None:

	    self.dw.write_forbidden( request )

        else:
        
            self.dw.write_htmlhead( request, "GSN Demo Real-time Execution Monitor" )

	    self.dw.write_htmlbodystart( request )

	    self.dw.write_mainnav( request, activepage='rtm' )

	    request.write("""
		<h2>Real-time Monitor for GSN Demo</span></h2>

		<a href="/dynamic/ximage?streamname=rtm">
		<img class="centerimage" alt="rtm display" src="/dynamic/ximage?streamname=rtm"/>
		</a>
                """ )

	    self.dw.write_htmlbodyfinish( request )

	return server.NOT_DONE_YET


resource = MyResource()
